#include <iostream>
#include <vector>
using namespace std;

int n, m;

typedef unsigned char U;
U v[(int)1e7];

const U masks[] = {1, 2, 4, 8, 16, 32, 64, 128};

void set_bit(U &val, int pos)
{
    val |= masks[pos];
}

bool test_bit(U val, int pos)
{
    return val &= masks[pos];
}

void mark(U v[], int num)
{
    set_bit(v[num/8], num % 8);
}

bool is_marked(U v[], int num)
{
    return test_bit(v[num / 8], num % 8);
}

int main()
{

    ios_base::sync_with_stdio(0); cin.tie(0);
    cin >> n >> m;

    for (int i = 0; i < n; i++)
    {
       int a; cin >> a;
       if(a > m) mark(v,a-m);
    }

    for (int i = 1; i <= n; i++)
    {
       if (!is_marked(v,i)) {cout << i+m << endl; return 0;}
    }

    cout << n+1+m << endl;
}


